Account

User account operations

Delete user account

delete
/api/account

Permanently delete the authenticated user's account and all associated data

Authorizations
sb-access-tokenstringRequired

Supabase session cookie for authentication

Responses
chevron-right
302

Account deleted, redirect to website

delete
/api/account

No content

Update user account

patch
/api/account

Update the authenticated user's account metadata

Authorizations
sb-access-tokenstringRequired

Supabase session cookie for authentication

Body
namestringOptional

User's first name

Example: John
middlenamestringOptional

User's middle name

Example: Michael
surnamestringOptional

User's surname/last name

Example: Doe
Responses
patch
/api/account

Sign out

post
/api/account/signout

Sign out the authenticated user

Authorizations
sb-access-tokenstringRequired

Supabase session cookie for authentication

Responses
post
/api/account/signout

Upload profile photo

post
/api/account/photo

Upload a profile photo for the authenticated user

Authorizations
sb-access-tokenstringRequired

Supabase session cookie for authentication

Body
filestring · binaryOptional

Image file (JPEG, PNG, GIF, WebP, max 5MB)

Responses
post
/api/account/photo

Delete profile photo

delete
/api/account/photo

Remove the profile photo from the authenticated user's account

Authorizations
sb-access-tokenstringRequired

Supabase session cookie for authentication

Responses
delete
/api/account/photo

Last updated